> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sobot.io/llms.txt
> Use this file to discover all available pages before exploring further.

# chat_connect

> chat_connect



## OpenAPI

````yaml api-reference/openapis/online-openapi.json post /api/5/user/chat_connect
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sg.sobot.io
security:
  - bearerAuth: []
paths:
  /api/5/user/chat_connect:
    post:
      summary: chat_connect
      description: chat_connect
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                partnerid:
                  type: string
                  description: 对接ID，需要保证唯一性
                source:
                  type: integer
                  description: >-
                    渠道来源：用户来源:0 桌面网站、1 微信、2 App、3 微博、4 移动网站、6 呼叫、7 工单中心、8 客户中心、9
                    企业微信、10 小程序、12 百度营销、13 今日头条、14 奇虎360、15 阿里汇川、16 搜狗、17
                    微信客服、20 广点通、21 知乎、22 facebook、23 whatsApp、24 instagram、25
                    line、26 discord、33 telegram
                channel_flag:
                  type: integer
                  description: 子渠道编码
                user_nick:
                  type: string
                  description: 用户昵称
                user_name:
                  type: string
                  description: 用户姓名
                user_tels:
                  type: string
                  description: 电话，多个以逗号分隔
                user_emails:
                  type: string
                  description: 邮箱，多个以逗号分隔
                user_img:
                  type: string
                  description: 用户头像
                params:
                  type: string
                  description: 自定义字段，json格式
                agentid:
                  type: string
                  description: 指定客服id
                tran_flag:
                  type: integer
                  description: 指定客服转接方式：1-不能转出，0-可转出
                groupid:
                  type: string
                  description: 指定技能组id
                channel_id:
                  type: integer
                  description: 子渠道编码
              description: ''
      responses:
        '200':
          description: No Content
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````